> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-widget-bill-payment/authorization-and-headers-finpay-widget-bill-payment.md).

# Authorization & Headers Finpay Widget Bill Payment

For backend based API request/call, Widget API requires HTTP(s) headers that will be explained below.

### URL Endpoint <a href="#url-endpoint" id="url-endpoint"></a>

| Environment | Method | URL                                    |
| ----------- | ------ | -------------------------------------- |
| Development | POST   | <https://devo.finnet.co.id/fin/widget> |
| Production  | POST   | <https://live.finnet.co.id/fin/widget> |

### Content-Type and Accept Header <a href="#content-type-and-accept-header" id="content-type-and-accept-header"></a>

Widget API uses JSON format for input and output, hence it is required to specify JSON as content-type & accept JSON as response. The header specification is as shown below.

* Content-Type: application/json
* Accept: application/json

### Signature <a href="#signature" id="signature"></a>

The following format for the Widget API signature:

1. Sort all parameters outside the parameters that will be sent apart from mer\_signature based on index/key in ascending order (ksort).
2. Unite each parameter's contents by inserting the % symbol to separate the contents of one parameter from another, convert it to uppercase, and then add merchant\_key at the end.
3. Convert data to hash value using SHA-256.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-widget-bill-payment/authorization-and-headers-finpay-widget-bill-payment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
